- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qpointer.h File Reference

`#include <QtCore/qobject.h>`

Go to the source code of this file.

## Classes
class | QPointer< T >
## Functions
template<class T >
bool | operator== (const T *o, const QPointer< T > &p)
template<class T >
bool | operator== (const QPointer< T > &p, const T *o)
template<class T >
bool | operator== (T *o, const QPointer< T > &p)
template<class T >
bool | operator== (const QPointer< T > &p, T *o)
template<class T >
bool | operator== (const QPointer< T > &p1, const QPointer< T > &p2)
template<class T >
bool | operator!= (const T *o, const QPointer< T > &p)
template<class T >
bool | operator!= (const QPointer< T > &p, const T *o)
template<class T >
bool | operator!= (T *o, const QPointer< T > &p)
template<class T >
bool | operator!= (const QPointer< T > &p, T *o)
template<class T >
bool | operator!= (const QPointer< T > &p1, const QPointer< T > &p2)

## Function Documentation

bool operator== | ( | const T * | o,
|  | const QPointer< T > & | p
| ) |  | `[inline]`

Definition at line 87 of file qpointer.h.

    { return o == p.operator->(); }

bool operator== | ( | const QPointer< T > & | p,
|  | const T * | o
| ) |  | `[inline]`

Definition at line 91 of file qpointer.h.

    { return p.operator->() == o; }

bool operator== | ( | T * | o,
|  | const QPointer< T > & | p
| ) |  | `[inline]`

Definition at line 107 of file qpointer.h.

    { return o == p.operator->(); }

bool operator== | ( | const QPointer< T > & | p,
|  | T * | o
| ) |  | `[inline]`

Definition at line 111 of file qpointer.h.

    { return p.operator->() == o; }

bool operator== | ( | const QPointer< T > & | p1,
|  | const QPointer< T > & | p2
| ) |  | `[inline]`

Definition at line 115 of file qpointer.h.

    { return p1.operator->() == p2.operator->(); }

bool operator!= | ( | const T * | o,
|  | const QPointer< T > & | p
| ) |  | `[inline]`

Definition at line 122 of file qpointer.h.

    { return o != p.operator->(); }

bool operator!= | ( | const QPointer< T > & | p,
|  | const T * | o
| ) |  | `[inline]`

Definition at line 126 of file qpointer.h.

    { return p.operator->() != o; }

bool operator!= | ( | T * | o,
|  | const QPointer< T > & | p
| ) |  | `[inline]`

Definition at line 142 of file qpointer.h.

    { return o != p.operator->(); }

bool operator!= | ( | const QPointer< T > & | p,
|  | T * | o
| ) |  | `[inline]`

Definition at line 146 of file qpointer.h.

    { return p.operator->() != o; }

bool operator!= | ( | const QPointer< T > & | p1,
|  | const QPointer< T > & | p2
| ) |  | `[inline]`

Definition at line 150 of file qpointer.h.

    { return p1.operator->() != p2.operator->() ; }